For the complete documentation index, see llms.txt. This page is also available as Markdown.

Operative Process (Operations)

Get operative processes.

List operative processes

get

Get all operative processes

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
facilityIdstringRequired

facility to filter the results

startAfterIdstringOptional

entity to start after

sizeinteger · min: 1 · max: 500Optional

number of entities to show

Default: 25Example: 25
Responses
200

All operative processes matching the given parameters

application/json

OperativeProcessPaginatedResult

totalnumberRequired
get/api/operativeprocesses
GET /api/operativeprocesses?facilityId=text HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "operativeProcesses": [
    {
      "created": "2026-01-01T00:00:00.000Z",
      "entityChildren": [
        {
          "entityChildren": [
            "[Circular Reference]"
          ],
          "entityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "entityType": "PICK_JOB"
        }
      ],
      "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "flatEntityRefs": [
        "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
      ],
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "isEditable": true,
      "lastModified": "2026-01-01T00:00:00.000Z",
      "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "routingPlanRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "version": 1
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

Get operative process

get

Get the operative processes for a specific id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
operativeProcessIdstringRequired
Responses
200

Found operativeProcess by given ID

application/json

OperativeProcess

createdstring · date-timeOptional

The timestamp when the operative process was created.

facilityRefstringRequired

Reference to the facility this operative process is associated with.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
flatEntityRefsstring[]Required

Entities involved in this operative process represented as a flat list of entity references.

Example: ["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]
idstringRequired

auto generated unique identifier

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
isEditablebooleanOptional

This field indicates if the operative process is editable based on if any of the related pick jobs, service jobs, pack jobs or handover jobs are in progress or have been finished successfully. This field is calculated dynamically on each request.

lastModifiedstring · date-timeOptional

The timestamp when the operative process was last modified.

processRefstringRequired

Reference to the process this operative process is associated with.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
routingPlanRefstringOptional

Reference to the routing plan this operative process is associated with.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
versionnumberRequired

The version number of the operative process. This number is incremented each time the operative process is modified.

Example: 1
get/api/operativeprocesses/{operativeProcessId}
GET /api/operativeprocesses/{operativeProcessId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "entityChildren": [
    {
      "entityChildren": [
        {
          "entityChildren": [
            "[Circular Reference]"
          ],
          "entityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "entityType": "PICK_JOB"
        }
      ],
      "entityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "entityType": "PICK_JOB"
    }
  ],
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "flatEntityRefs": [
    "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
  ],
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "isEditable": true,
  "lastModified": "2026-01-01T00:00:00.000Z",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "routingPlanRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "version": 1
}

Perform action for the given operative process

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Perform action for the given operative process

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
operativeProcessIdstringRequired
Body
Responses
200

OperativeProcess after action has been applied

application/json

AvailableOperativeProcessActions

post/api/operativeprocesses/{operativeProcessId}/actions
POST /api/operativeprocesses/{operativeProcessId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 124

{
  "name": "ADD_TARGET_TIME_TO_OPERATIVE_PROCESS_ENTITIES",
  "operativeProcessVersion": 1,
  "targetTime": "2020-02-03T09:45:51.525Z"
}
{
  "actions": [
    {
      "available": true,
      "denyReasons": [
        {
          "errorCode": "PICKING_STARTED",
          "message": "text"
        }
      ],
      "name": "REJECT_OPERATIVE_PROCESS"
    }
  ]
}

Get available operative process actions

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get all available actions for a specific operative process

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
operativeProcessIdstringRequired
Responses
200

Available actions for the given operative process

application/json

AvailableOperativeProcessActions

get/api/operativeprocesses/{operativeProcessId}/availableactions
GET /api/operativeprocesses/{operativeProcessId}/availableactions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "actions": [
    {
      "available": true,
      "denyReasons": [
        {
          "errorCode": "PICKING_STARTED",
          "message": "text"
        }
      ],
      "name": "REJECT_OPERATIVE_PROCESS"
    }
  ]
}

Last updated

Was this helpful?